
QGIS Application - Bug report #5751

Quoted Lat/Long fails in Add Delimited Text Layer

2012-06-06 09:40 AM - Tac Tacelosky

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15257

Description

Although unnecessary, sometimes CSV files contain quoted lat/long, and the file won't load as a Delimited Text Layer:

"STORE_NAME","longitude","latitude","ADDRESS","CITY","STATE","ZIP5","zip4" 

"OBENG INTERNATIONAL WHOLESALE","-77.00175874","38.90870803","300 MORSE ST

NE","WASHINGTON","DC","20002","" 

"DAILY FISH OF CHESAPEAKE","-77.02539292","38.92012942","2250 Sherman Ave NW","Washington","DC","20001","4004" 

"Shipley Supermarket, Inc","-76.97122527","38.84796227","2283 Savannah St SE","Washington","DC","20020","7557" 

This is related to Issue #4091, a quoted string with a comma is being improperly parsed.

http://easycaptures.com/fs/uploaded/558/2969295440.png

The current solution is to remove the quotes around the lat and long values.

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-04-15 05:43 PM - Chris Crook

- Status changed from Open to Closed

This is fixed in release 2.0.  Committed fab2c57478f67be01a9ac91f0ce27a1f739d0501

Files

DC.csv 405 Bytes 2012-06-06 Tac Tacelosky
